<?php
/**
 * @version     1.0.0
 * @package     com_docebo
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Docebo Srl. <info@docebo.com> - http://www.docebo.com
 */


// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHTML::_('script', 'system/multiselect.js', FALSE, TRUE);
// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_docebo/assets/css/docebo.css');
$document->addScript('//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js');
$document->addScript('components/com_docebo/assets/js/docebo.js');

$user = JFactory::getUser();
$userId = $user->get('id');
$listOrder = $this->state->get('list.ordering');
$listDirn = $this->state->get('list.direction');
$canOrder = $user->authorise('core.edit.state', 'com_docebo');
$saveOrder = $listOrder == 'a.ordering';
?>
<?php
if (function_exists('curl_version')) {
	$curlStatus = 'Enabled';
} else {
	$curlStatus = 'Disabled (Recommended: Enable)';
}
?>
<div>
	<div id="icon-docebo-settings"><h2><img
				src="<?php echo JURI::base(); ?>components/com_docebo/assets/images/docebo_small.png"/>&nbsp;&nbsp;<?php echo JText::_('COM_DOCEBO_TITLE_FAQSUPPORTS_BRANDED') ?></h2></div>
	<p><?php echo JText::_('COM_DOCEBO_FAQ_LINE1') ?></p>

	<h3><?php echo JText::_('COM_DOCEBO_FAQ_SUPPORT_INFO') ?></h3>

	<p><?php echo JText::_('COM_DOCEBO_FAQ_COPYINFO')?></p>

	<p><strong>Website URL: </strong><?php echo JURI::root(); ?><br/>
		<strong>Joomla URL: </strong><?php echo JURI::base(); ?><br>
		<strong>Current Template: </strong><?php echo JFactory::getApplication()->getTemplate(); ?><br/>
		<strong>Active plugins: </strong> Docebo 1.0.0<br/>
		<strong>Version of Docebo plugin: </strong> 1.0.0<br/>
		<strong>Joomla version: </strong> <?php echo DoceboViewFaqsupports::jVers(); ?><br/>
		<strong>curl status: </strong> <?php echo $curlStatus; ?></p>
</div>
