<?php
/**
 * @version     1.0.0
 * @package     com_docebo
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Docebo Srl. <info@docebo.com> - http://www.docebo.com
 */


// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHTML::_('script', 'system/multiselect.js', FALSE, TRUE);
// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_docebo/assets/css/docebo.css');
$document->addScript('//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js');
$document->addScript('components/com_docebo/assets/js/docebo.js');

$user = JFactory::getUser();
$userId = $user->get('id');
$listOrder = $this->state->get('list.ordering');
$listDirn = $this->state->get('list.direction');
$canOrder = $user->authorise('core.edit.state', 'com_docebo');
$saveOrder = $listOrder == 'a.ordering';
//echo $listOrder;
//print_r($this);
?>
	<style>
		.cblock-element {
			border-radius: 4px 4px 4px 4px;
			float:         left;
			margin:        0 15px 15px 0;
			overflow:      hidden;
			position:      relative;
		}

		.cblock-element a {
			color:           #FFFFFF;
			float:           left;
			text-decoration: none;
		}

		.cblock-element a:hover {
			color:           #FFFFFF;
			text-decoration: none;
		}

		.cblock-element img {
			position: relative;
			z-index:  -1;
		}

		.cblock-element p.coursename {
			background:      none repeat scroll 0 0 rgba(0, 0, 0, 0.75);
			bottom:          0;
			color:           #FFFFFF;
			display:         block;
			height:          35px;
			left:            0;
			margin:          0;
			padding:         10px;
			position:        absolute;
			text-decoration: none;
			width:           100%;
		}

		.cblock-element .course-status-icon {
			position: absolute;
			right:    0;
			top:      0;
			z-index:  1;
		}
	</style>
<div>
	<div id="icon-docebo-settings"><h2><img
				src="<?php echo JURI::base(); ?>components/com_docebo/assets/images/docebo_small.png"/>&nbsp;&nbsp;<?php echo JText::_('COM_DOCEBO_MYCOURSES_TITLE_BRANDED') ?></h2></div>
	<form action="<?php echo JRoute::_('index.php?option=com_docebo&view=mycoursess'); ?>" method="post"
	      name="adminForm" id="adminForm">
		<div class="clr"></div>
		<?php if (isset($this->items[0]->id)) { ?>
			<table class="adminlist">
				<thead>
				<tr>
					<th width="1%">
						<input type="checkbox" name="checkall-toggle" value="" onclick="checkAll(this)"/>
					</th>

					<?php if (isset($this->items[0]->width)) { ?>
						<th width="5%"><?php echo JText::_('COM_DOCEBO_MYCOURSES_COURSEBLOCKWIDTH') ?></th>
					<?php } ?>
					<?php if (isset($this->items[0]->no_of_course)) { ?>
						<th width="10%">
							<?php echo JText::_('COM_DOCEBO_MYCOURSES_NUMCOURSES') ?>
							<?php //echo JHtml::_('grid.sort',  'JGRID_HEADING_ORDERING', 'a.ordering', $listDirn, $listOrder); ?>
							<?php if ($canOrder && $saveOrder) : ?>
								<?php //echo JHtml::_('grid.order',  $this->items, 'filesave.png', 'mycourses.saveorder'); ?>
							<?php endif; ?>
						</th>
					<?php } ?>
					<?php if (isset($this->items[0]->id)) { ?>
						<th width="1%" class="nowrap">
							<?php echo JHtml::_('grid.sort', 'JGRID_HEADING_ID', 'a.id', $listDirn, $listOrder); ?>
						</th>
					<?php } ?>
				</tr>
				</thead>
				<!--<tfoot>
			<?php
				if (isset($this->items[0])) {
					$colspan = count(get_object_vars($this->items[0]));
				} else {
					$colspan = 10;
				}
				?>
			<tr>
				<td colspan="<?php echo $colspan ?>">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>-->
				<tbody>
				<?php
				foreach ($this->items as $i => $item) :
					$ordering   = ($listOrder == 'a.ordering');
					$canCreate  = $user->authorise('core.create', 'com_docebo');
					$canEdit    = $user->authorise('core.edit', 'com_docebo');
					$canCheckin = $user->authorise('core.manage', 'com_docebo');
					$canChange  = $user->authorise('core.edit.state', 'com_docebo');
					//echo $canEdit;
					?>
				<tr class="row<?php echo $i % 2; ?>">
					<td class="center">
						<?php echo JHtml::_('grid.id', $i, $item->id); ?>
					</td>
					<td class="center">
						<?php echo $width = $item->width; ?>
					</td>
					<td class="center">
						<?php echo $noc = $item->no_of_course; ?>
					</td>
					<?php if (isset($this->items[0]->id)) { ?>
					<td class="center">
						<?php echo (int) $item->id; ?>
					</td>
				<?php } ?>
					</tr><?php endforeach; ?>
				</tbody>
			</table>
		<?php } ?>
		<div>
			<input type="hidden" name="task" value=""/>
			<input type="hidden" name="boxchecked" value="0"/>
			<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
			<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>
			<?php echo JHtml::_('form.token'); ?>
		</div>
	</form>
<?php if (isset($this->items[0]->id)) { ?>
	<style>
		.cblock-element {
			border-radius: 4px 4px 4px 4px;
			float:         left;
			margin:        0 15px 15px 0;
			overflow:      hidden;
			position:      relative;
		}

		.cblock-element a {
			color:           #FFFFFF;
			float:           left;
			text-decoration: none;
		}

		.cblock-element a:hover {
			color:           #FFFFFF;
			text-decoration: none;
		}

		.cblock-element img {
			position: relative;
			z-index:  -1;
		}

		.cblock-element p.coursename {
			background:      none repeat scroll 0 0 rgba(0, 0, 0, 0.75);
			bottom:          0;
			color:           #FFFFFF;
			display:         block;
			height:          35px;
			left:            0;
			margin:          0;
			padding:         10px;
			position:        absolute;
			text-decoration: none;
			width:           100%;
		}

		.cblock-element .course-status-icon {
			position: absolute;
			right:    0;
			top:      0;
			z-index:  1;
		}
	</style>
	<br/><br/>
	<div>
		<?php
		$sync_scene = DoceboViewMycoursess::check_sync_scene();
		if ($sync_scene == '0') {
			?>
			<p><?php echo JText::_('COM_DOCEBO_MYCOURSES_DESCRIPTION') ?></p>
			<?php
			if ($width == '') {
				$width = '230';
			}
			if ($noc == '') {
				$noc = '10';
			}
			$dwp_course_options['cblock_width'] = (int) $width; // Course Box Width
			$params = array('ext_user' => $user->get('id'), 'ext_user_type' => 'wordpress');
			$data = Api::call('user/userCourses/', $params);
			$course_block = json_decode($data);
			$count = 0;
			if (is_array($course_block) || is_object($course_block)) {
				$count = -1;
				foreach ($course_block as $courses) {
					$count++;
				}
			}
			$course_count = 0;
			$num_courses_displayed = (isset($noc) ? (int) $noc : 0);
			$display_all_courses = ($num_courses_displayed == 0);

			if (is_array($course_block) || is_object($course_block)) {
				foreach ($course_block as $courses) {
					if (isset($courses->course_info) && isset($courses->course_info->course_id)
						&& ($course_count < $num_courses_displayed || $display_all_courses)
					) {
						//echo $noc.'-'.$course_count.'-'.$num_courses_displayed.'-'.$display_all_courses;
						echo '<div class="cblock-element" style="width:' . $dwp_course_options['cblock_width'] . 'px; height:' . $dwp_course_options['cblock_width'] . 'px; ';
						if ($courses->course_info->courseuser_status == 2) {
							echo 'border: 4px solid #60c060;';
						} else {
							echo 'border: 4px solid #0465ac;';
						}
						echo '">';
						if ($courses->course_info->courseuser_status == 2) {
							?>
							<img class="course-status-icon"
							     src="<?php echo JURI::base(); ?>components/com_docebo/assets/images/icon_corner_complete.png"/>
						<?php
						} else {

							?>
							<img class="course-status-icon"
							     src="<?php echo JURI::base(); ?>components/com_docebo/assets/images/icon_corner_progress.png"/>
						<?php
						}
						echo '
							<a target="_blank" href="' . Api::sso($user->get('username')) . '&id_course=' . $courses->course_info->course_id . '">
								<div style="width:' . $dwp_course_options['cblock_width'] . 'px; height:' . $dwp_course_options['cblock_width'] . 'px; background:url(\'' . $courses->course_info->course_thumbnail . '\'); background-size: cover; position: relative; background-position: center;">
									<p class="coursename">' . $courses->course_info->course_name . '</p>
								</div>
							</a>
						</div><!--.cblock-element-->';
						echo '<div class="clear"></div>';
						$course_count++;
					}
				}
			}
			echo '<div class="clear"></div>';
			// end My Courses page
			?>
		<?php } else {
			echo '<p class="error">' . JText::_('COM_DOCEBO_MYCOURSES_NOT_ENABLED') . '</p>';
		} ?>
	</div>
<?php } ?>